Package org.drinkless.tdlib

# Class TdApi.SendWebAppCustomRequest

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.CustomRequestResult>
org.drinkless.tdlib.TdApi.SendWebAppCustomRequest

Enclosing class:
  TdApi

public static class TdApi.SendWebAppCustomRequest extends TdApi.Function<TdApi.CustomRequestResult>
Sends a custom request from a Web App.

Returns `CustomRequestResult`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `botUserId`
  Identifier of the bot.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `method`
  The method name.
  `String`
  `parameters`
  JSON-serialized method parameters.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SendWebAppCustomRequest()`
  Default constructor for a function, which sends a custom request from a Web App.
  `SendWebAppCustomRequest(long botUserId, String method, String parameters)`
  Creates a function, which sends a custom request from a Web App.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### botUserId

    public long botUserId
    Identifier of the bot.

  - ### method

    public String method
    The method name.

  - ### parameters

    public String parameters
    JSON-serialized method parameters.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SendWebAppCustomRequest

    public SendWebAppCustomRequest()
    Default constructor for a function, which sends a custom request from a Web App.

    Returns `CustomRequestResult`

  - ### SendWebAppCustomRequest

    public SendWebAppCustomRequest(long botUserId, String method, String parameters)
    Creates a function, which sends a custom request from a Web App.

    Returns `CustomRequestResult`

    Parameters:
      `botUserId` - Identifier of the bot.
      `method` - The method name.
      `parameters` - JSON-serialized method parameters.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.CustomRequestResult>`
    Returns:
      this.CONSTRUCTOR